searchNodes=[{"ref":"JValid.html","title":"JValid","type":"module","doc":"Macro allows to include JSON Schema into your code and validate maps based on them."},{"ref":"JValid.html#load_schema/1","title":"JValid.load_schema/1","type":"macro","doc":"Load schema at compile time to be later used in validator. This macro will include in inline in a function scope. Example: schema = load_schema &quot;test/support/schema.json&quot;"},{"ref":"JValid.html#use_schema/2","title":"JValid.use_schema/2","type":"macro","doc":"Load schema at compile time to be later used in validator. This macro will include in inline in a module scope. It can save resources and reduce application size. Example: defmodule Sample use_schema :schema, &quot;test/support/schema.json&quot; end"},{"ref":"JValid.html#valid_schema?/2","title":"JValid.valid_schema?/2","type":"macro","doc":"Validate map using previously loaded schema. Returns true if schema is valid. Example: use JValid # Include schema in a module scope use_schema :schema, &quot;test/support/schema.json&quot; # ... valid_schema?(:schema, map) # Include schema in a function scope &quot;test/support/schema.json&quot; |&gt; load_schema |&gt; valid_schema?(map)"},{"ref":"JValid.html#validate_schema/2","title":"JValid.validate_schema/2","type":"macro","doc":"Validate map using previously loaded schema. Returns :ok if map is valid, otherwise - {:error, reason}. Example: use JValid # Include schema in a module scope use_schema :schema, &quot;test/support/schema.json&quot; # ... validate_schema?(:schema, map) # Include schema in a function scope &quot;test/support/schema.json&quot; |&gt; load_schema |&gt; validate_schema?(map)"},{"ref":"readme.html","title":"JValid","type":"extras","doc":"JValid We use JSON Schema validation inside our projects, but storing large schema in Elixir files looks ugly, and you can&#39;t really move them to a separate file since it will be erased during compile and release. This module solves this issue by in-lining schemas in compilation time via Elixir macros."},{"ref":"readme.html#installation","title":"JValid - Installation","type":"extras","doc":"It&#39;s available in Hex, the package can be installed as: Add jvalid to your list of dependencies in mix.exs: def deps do [{:jvalid, &quot;~&gt; 0.5.2&quot;}] end Ensure jvalid is started before your application: def application do [applications: [:jvalid]] end"}]